MONGOC_SESSION_OPTS_GET_TRANSACTION_OPTS(3)

NAME
mongoc_session_opts_get_transaction_opts - mongoc_session_opts_get_transaction_opts()

SYNOPSIS

        mongoc_transaction_opt_t *
        mongoc_session_opts_get_transaction_opts (
           const mongoc_client_session_t *session) BSON_GNUC_WARN_UNUSED_RESULT;

The options for the current transaction started with this session.

If this session is not in a transaction, then the returned value is NULL. See mongoc_client_session_in_transaction().

PARAMETERS

    •   session: A mongoc_client_session_t.

RETURNS

If the session is in a transaction, a new mongoc_transaction_opt_t that must be freed with mongoc_transaction_opts_destroy(). Otherwise, NULL.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc